017 comes with fixed libnl backend and user option to select backend

Written for ntrack by Alexander Sack on 2014-11-08

Listen! This will be the last release with libnl backend by default; we will move to rtnetlink next. Anyway, good news is that libnl at least is now in better state than ever; it basically seems to finally work pretty much as specified now for me in all cases - even in VPN setup. Enjoy and maybe read the official release blurb below for more details:

-----

        ntrack version 017 released!

        Homepage: https://launchpad.net/ntrack
        Release: https://launchpad.net/ntrack/main/017
        Download: http://launchpad.net/ntrack/main/017/+download/ntrack-017.tar.gz
        TODO: https://bugs.launchpad.net/ntrack

        ntrack 017 is a first release after almost 3 years. It includes various code
        cleanups as well as fixes for the rtnetlink and even more for libnl backend.

        From what the author can see, both modules (direct kernel with rtnetlink as
        as well as libnl variants available) work as expected; final fixes to the
        libnl backend made reconnect behaviour sane too.

        This release will be last release with libnl backend as default; code base and
        follow up release with rtnetlink being default will be there soon.

        If you use the ntrack-libnl3_x.so module, please ensure you do a respin once
        you hit libnl 3.2.21; that version moved some previously used private symbols
        out of public ABI and while that struct wasn't broken yet, there is no
        guarantee that upstream libnl will remember to bump ABI if they do so; hence,
        stay safe and respin or consider to move to rtnetlink.

        Please ensure you ping author on IRC (asac on freenode, OFTC and mozilla) in
        case this build breaks your integration scenario.

        Fixed Bugs:
         * lp:770390 - disconnecting PPTP and OPENVPN VPN in NM causes libnl backend module to get stuck in OFFLINE
         * lp:1115449 - ntrack-libnl.c:544:3: error: invalid use of undefined type 'struct nl_object_ops'
         * lp:1226090 - Developer build instructions are inaccurate
         * lp:889570 - select backend through environ NTRACK_BACKEND=...

        Known Issues:
         * no Qt python wrappers yet - lp:505672

Updated on 2014-11-08.

Read all announcements